%define __libtoolize    /bin/true

Name: kpowersave
Version: 0.7.2
Release: %mkrel 16
Group: Graphical desktop/KDE
Summary: KDE power management applet
Url: http://powersave.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/powersave/%{name}-%{version}.tar.bz2
License: GPL
Patch1:	kpowersave-0.7.2-fix-message.patch
Patch2:	kpowersave-0.7.2-fix-i18n.patch
Patch3:	kpowersave-include-moc.patch
Patch4:	kpowersave-0.7.2-not-necessary-text.patch
Patch5:	kpowersave-0.7.2-qt-messagebox.patch
Patch6:	kpowersave-0.7.2-fix-mem-leak.patch
Patch7:	kpowersave-0.7.2-delete-obj.patch
Patch8:	kpowersave-0.7.2-setting-mem-leak.patch
Patch9:	kpowersave-0.7.2-setting-kprocess-mem-leak.patch
Patch10: kpowersave-0.7.2-inactivity-mem-leak.patch
Patch11: kpowersave-0.7.2-kpowersave-mem-leak.patch
Patch12: kpowersave-0.7.2-pt_BR.patch
Patch13: kpowersave-0.7.2-fix_crash_on_deleting_kprocess.patch
Patch14: kpowersave-0.7.2-desktop_session.patch
# fix segfault with laptops that have only one brightness level (such as Dell ones)
# adapted from upstream commits 2956 and 3000
# https://forgesvn1.novell.com/svn/powersave/trunk/kpowersave
Patch15: kpowersave-0.7.2-unique_brightness_level.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libpowersave-devel
BuildRequires: hal-devel
BuildRequires: libdbus-qt-1-devel
BuildRequires: kdelibs-devel
BuildRequires: autoconf2.5 
BuildRequires: automake1.8
BuildRequires: libxscrnsaver-devel 
BuildRequires: libxtst-devel
Requires: pm-utils

%description
The package provides battery monitoring and suspend/standby triggers.
It is based on the powersave package and therefore supports APM and
ACPI. See powersave package for additional features such as CPU frequency 
scaling(SpeedStep and PowerNow) and more.

Authors:
--------
    Thomas Renninger (trenn@suse.de, mail@renninger.de)
    Danny Kukawka (dkukawka@suse.de, danny.kukawka@web.de)

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING INSTALL
%{_bindir}/%{name}
%{_datadir}/config/kpowersaverc
%{_datadir}/autostart/kpowersave-autostart.desktop
%{_datadir}/apps/%{name}
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/kde/kpowersave.desktop
%doc %{_docdir}/HTML/*/kpowersave
%{_libdir}/kde3/*
%{_libdir}/*.so
%{_libdir}/*.la

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .fix_message
%patch2 -p1 -b .fix_i18n
%patch3 -p1 -b .fix_includemoc
%patch4 -p1 -b .not_necessary_text
%patch5 -p1 -b .fix_text_into_messagebox
%patch6 -p1 -b .fix_mem_leak
%patch7 -p1 -b .fix_delete_object
%patch8 -p1 -b .fix_setting_mem_leak
%patch9 -p1 -b .fix_process_mem_leak
%patch10 -p1 -b .fix_inactivity_mem_leak
%patch11 -p1 -b .fix_kpowersave_mem_leeak
%patch12 -p1 -b .potfile
%patch13 -p1 -b .fix_proc
%patch14 -p1 -b .desktop_session
%patch15 -p1 -b .unique_brightness_level

%build
%make -f admin/Makefile.common 
%configure --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-html

%clean
rm -rf %{buildroot}






%changelog
* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-16mdv2008.0
+ Revision: 68077
- fix segfault with laptops that have only one brightness level (such as Dell ones)

* Fri Aug 10 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-15mdv2008.0
+ Revision: 61585
- fix crash when started outside of a display manager

* Fri Jun 22 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.7.2-14mdv2008.0
+ Revision: 43036
- Fix a crash caused by deleting the KProcess without setting the class member
  pointer to NULL (#30001)

* Fri Jun 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-13mdv2008.0
+ Revision: 39971
- patch 6: revert bogus bit (fix crash, #30001)

* Mon May 14 2007 Helio Chissini de Castro <helio@mandriva.com> 0.7.2-12mdv2008.0
+ Revision: 26745
- Added pt_BR translation by Felipe


* Tue Mar 27 2007 Laurent Montel <lmontel@mandriva.com> 0.7.2-11mdv2007.1
+ Revision: 148980
- Mem leak--
- Fix mem leak
- Fix setting mem leak
- Fix delete object
- Fix mem leak
- Fix text into messagebox
- Remove not necessary variabl
- Fix includemoc

* Tue Mar 20 2007 Laurent Montel <lmontel@mandriva.com> 0.7.2-6mdv2007.1
+ Revision: 146998
- Fix i18n message (bug found by titi)
- Fix message

* Sat Mar 17 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-4mdv2007.1
+ Revision: 145372
- tag lang on html help files

* Thu Mar 01 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-2mdv2007.1
+ Revision: 130533
- require pm-utils

* Thu Feb 22 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-1mdv2007.1
+ Revision: 124687
- 0.7.2

* Tue Feb 06 2007 Olivier Blin <oblin@mandriva.com> 0.7.1-3mdv2007.1
+ Revision: 116907
- add some stability fixes from svn (#27890)

* Mon Jan 15 2007 Olivier Blin <oblin@mandriva.com> 0.7.1-2mdv2007.1
+ Revision: 109346
- add lock screen fixes from kpowersave SVN (#27810)
- fix typos in upstream sleep buttons patch
- add sleep/hibernate button support from kpowersave SVN
- add power button support from kpowersave SVN

* Mon Dec 18 2006 Olivier Blin <oblin@mandriva.com> 0.7.1-1mdv2007.1
+ Revision: 98682
- do not require powersave (hal is now enough) and SysVinit
- 0.7.1

* Tue Sep 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.2-3mdv2007.0
+ Revision: 59760
- Rebuild

* Fri Sep 01 2006 Laurent Montel <lmontel@mandriva.com> 0.6.2-2mdv2007.0
+ Revision: 58970
- Fix buildrequires

* Mon Aug 07 2006 Laurent Montel <lmontel@mandriva.com> 0.6.2-1mdv2007.0
+ Revision: 53496
- Fix requires
- 0.6.2

* Sat Aug 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.1-3mdv2007.0
+ Revision: 52765
- Rebuild against new DBUS
- Import kpowersave

* Mon Jul 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdv2007.0
- Rebuild for new menu && extension
- Use macros for icons

* Tue May 16 2006 Lenny Cartier <lenny@mandriva.com> 0.6.1-1mdk
- 0.6.1

* Fri May 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-2mdk
- Rebuild to generate categories

* Thu Apr 20 2006 Couriousous <couriousous@mandriva.org> 0.6.0-1mdk
- Upload into cooker

